var captchaCode=null;
var contactName=null;
var contactDisplayed=null;
var contactEmail=null;

var opened=null;

function openPostIt(element, done) {
	$('#dialog_bg').hide();
	$('#dialog_close').hide();
	$("#dialog_form").children().hide();
	if (opened != null) {  
		close(function() {
			$('#dialog').show();
			fly(element, "#dialog", function() {
				$('#dialog_bg').show();
				$('#dialog_close').show();
				done();
			});
		});
	} else {
		$('#dialog').show();
		fly(element, "#dialog", function() {
			$('#dialog_bg').show();
			$('#dialog_close').show();
			done();
		});
	}
	opened = element;
}

function close(done) {
	$('#dialog_bg').hide();
	$('#dialog_close').hide();
	$("#dialog_form").children().hide();
	$('#dialog_entry').html("");
	if (opened != null) {
		fly("#dialog", opened, function() {
			$('#dialog_bg').hide();
			$('#dialog_close').hide();
			$("#dialog_form").children().hide();
			$('#dialog').hide();
			opened = null;
			if (done != undefined) done(); 
		});
		opened = null;
	}
}

function fly(from, to, done) {
	$('body').append($('<img id="fly" src="%HTTP_BASE%postit.png" alt="fly" style="display:none"/>'));
	var style={"position": "absolute", "z-index":10, "left": $(from).offset().left+"px","top": $(from).offset().top+"px", "width": $(from).width()+"px", "height":$(from).height()+"px"};
	$('#fly').css(style);
	$.extend(style, {"left": $(to).offset().left+"px","top": $(to).offset().top+"px", "width": $(to).width()+"px", "height":$(to).height()+"px"});
	$('#fly').show();
	var style2={"left": $(to).offset().left+"px","top": $(to).offset().top+"px", "width": $(to).width()+"px", "height":$(to).height()+"px"};
	$('#fly').animate(style2, 500, function() {
		if (done != undefined) done(); 
		$('#fly').fadeOut(function() {$('#fly').detach();});
	});
}

function submitMessage() {
	if (!($('#message_text').get(0).value).match(/\S+/)) { 
		$('#message_text').focus(); 
		alert('Sie haben keine Nachricht eingegeben, sicherlich ein Versehen.'); 
		return false;
	}
	var messageTitle=$('#message_title').val();
	var messageText=$('#message_text').val();
	var attachmentId=$('#attachment_id').val();
	// $('#button_message_submit').css("visibility", "hidden");
	$.ajax({
		type: "POST",
		url:"%HTTP_BASE%messages.php",
		data: ({ 
			"name":contactName, 
			"message":messageText, 
			"title":messageTitle,
			"email":contactEmail,
			"contact":contactDisplayed,
			"captcha":captchaCode,
			"attachmentId":attachmentId,
			"lang":"%lang%"
		}),
		success: function(msg){
			$("#status").html("Beitrag wurde übermittelt.<br/>Ein Moderator wird ihn nach Prüfung aktivieren, vielen Dank!");
			$("#message_title").val("");
			$("#status").fadeIn();
			$("#message_text").cleditor()[0].clear();
			window.setTimeout('$("#status").fadeOut(); close();', 10000);
			// reset dialog form data
			captchaCode=null;
			var newAttachmentId=(new Date()).getTime();
			$('#attachment_id').val(newAttachmentId);
			$('#attachment_iframe').attr("src", "%HTTP_BASE%attachment.php?id="+newAttachmentId+"&lang=%lang%");
			// preview post-it
			$.get("%HTTP_BASE%append.php", {"stamp":msg}, function(entry) {
				var id=entry.id;
				var y=0;
				var x=0;
				var rotate=entry.rotate;
				var text_color=entry.text_color;
				var htmlEntityTitle=$('<div/>').text(messageTitle).html();
				$("#messages").append('<a id="p'+id+'" href="%HTTP_BASE%show.php?id='+id+'" class="draggable" target="_blank" style="top: '+y+'px; left: '+x+'px;"><img class="postit" src="%HTTP_BASE%postit.php?t='+encodeURIComponent(messageTitle)+'&r='+rotate+'&c='+text_color+'" title="'+htmlEntityTitle+'" width="100" height="100" /></a>');
				$("#p"+id).draggable();
				$("#p"+id).bind("click", previewShowIt);
			});
		}, error: function(req, status, eror) {
			$('#button_submit').css("visibility", "visible");
			$("#status").html("Nachricht konnte leider nicht übermittelt werden!");
			$("#status").show();
			window.setTimeout('$("#status").fadeOut(); close();', 10000);
			captchaCode=null;
		}});
	return false;
}

function removeMessage(postit, stamp) {
	if (confirm('Beitrag wirklich Löschen?')) {
		$.get("%HTTP_BASE%delete.php", {"stamp":stamp}, function(entry) {
			$('#'+postit).detach();
			close();
		});
	}
}

function previewShowIt(e) {
	if (!$(this).hasClass("dragged")) {
		var id=$(this).attr("id").substr(1);
		var jqxhr = $.get( "%HTTP_BASE%preview.php?id="+id)
		.done(function(data) {
			$('#dialog_bg').hide();
			$('#dialog_close').hide();
			$("#dialog_form").children().hide();
			$('#dialog').show();
			openPostIt("#p"+id, function() {
				$('#dialog_entry').html(data);
				$('#dialog_entry').show();
				$('.lightbox').lightBox({
				    fixedNavigation: true
				  });
			});
		})
		.fail(function() {
			alert( "error" );
		});
	}
	e.preventDefault();
}

function showIt(e) {
	if (!$(this).hasClass("dragged")) {
		var id=$(this).attr("id").substr(1);
		var jqxhr = $.get( "%HTTP_BASE%show.php?id="+id)
		.done(function(data) {
			openPostIt("#p"+id, function() {
				$('#dialog_entry').html(data);
				$('#dialog_entry').show();
				$('.lightbox').lightBox({
				    fixedNavigation: true
				  });
			});
		})
		.fail(function() {
			alert( "error" );
		});
	}
	e.preventDefault();
}

function setPostItPosition(postit, pos) {
	$(postit).css({
		top: pos.y+"px",
		left: pos.x+"px"
	});
}

var time=null;

function postEvent(event, undoEventValue) {
	var c="%HTTP_BASE%eventqueue.php"+(time!=null?"?time="+time:"");
	$.ajax({
		url: c,
		cache: false,
		data: event
	}).done(function(data) {
		$.each(data, function(index, event) {
			if (time == null || event.time > time) {
				time=event.time;
				$.event.trigger(event);
			}
		});
	}).fail(function() {
		if (undoEventValue != undefined) {
			event.value=undoEventValue;
			$.event.trigger(event);
		}
	});
}

$(document).ready(function() {
	$("textarea").cleditor({
		width:        345, // width not including margins, borders or padding
		height:       200, // height not including margins, borders or padding
		controls: // controls to add to the toolbar
			"bold italic underline color link unlink",
	});

	$.fn.draggable = function() {
		var offset = null;
		var start = function(e) {
			if ($(this).hasClass("dragged")) {
				$(this).removeClass("dragged");
			}
			var orig = e.originalEvent;
			var pos = $(this).position();
			if ("changedTouches" in orig) {
				offset = {
						x: orig.changedTouches[0].pageX - pos.left,
						y: orig.changedTouches[0].pageY - pos.top
				};
			} else {
				offset = {
						x: orig.pageX - pos.left,
						y: orig.pageY - pos.top
				};    
			}
		};
		var stop = function(e) {
			if (offset == null) return;
			postEvent(event, undoEventValue);
			e.preventDefault();
			offset = null;
			return false;
		};
		var event;
		var undoEventValue;
		var moveMe = function(e) {
			if (offset == null) return;
			var prev={
				"x":Math.round($(this).css("left").replace("px", "")), "y": Math.round($(this).css("top").replace("px", ""))
			};	
			var orig = e.originalEvent;
			var pos;
			if ("changedTouches" in orig) {
				pos={"x": Math.round(orig.changedTouches[0].pageX - offset.x), "y": Math.round(orig.changedTouches[0].pageY - offset.y)};
			} else {
				pos={"x": Math.round(orig.pageX - offset.x), "y": Math.round(orig.pageY - offset.y)};
			}
			e.preventDefault();

			if (pos.x == prev.x && pos.y == prev.y) {
				return;
			}
			if (!$(this).hasClass("dragged")) {
                                $(this).addClass("dragged");
                        }

			// limit to pinnwand size
			if (pos.x < 0) {
				pos.x = 0;
			} else if (pos.x > $('#pinnwand').width() - $(this).width()) {
				pos.x = $('#pinnwand').width() - $(this).width();
			}
			if (pos.y < 0) {
				pos.y = 0;
			} else if (pos.y > $('#pinnwand').height() - $(this).height()) {
				pos.y = $('#pinnwand').height() - $(this).height();
			}

			event={
					"type": "postit",
					"do": "set-position",
					"value": pos,
					"id": $(this).attr("id")
			};
			setPostItPosition(this, event.value);
		};
		this.bind("touchstart", start);
		this.bind("touchmove", moveMe);
		this.bind("mousedown", start);
		this.bind("mousemove", moveMe);
		this.bind("mouseup", stop);
		this.bind("mouseout", stop);
		this.bind("dragstart", function(e) {
			e.preventDefault();
			return false;
		});
	};

	$(".draggable").draggable();
	$(".draggable").bind("click", showIt);

	$('.draggable').mouseover(function() {
		var a=$(this);
		if (!$(a).is(':last-child')) {
			a.detach();
			$('#messages').append(a);
		}
	});

	$(document).on("postit", function(event) {
		var postit=$("#"+event.id);
		if(event.do == "set-position") {
			setPostItPosition(postit, event.value);
		} else {
			alert("unkown event "+event.do);
		}
	});
        if ($('.pinnwand').length > 0) {
          $('<img/>')[0].src = "%HTTP_BASE%postit.png";
	  setInterval("postEvent()", 3000);
        }

	$('.pinnwand').click(function(e) {
		if(e.target != this) return; 
		close();
	});
	$('#dialog_close').click(function(e) {
		close();
	});
	$('#add_postit').click(function() {
		openPostIt('#add_postit', function() {
			if (captchaCode == null) {
                                $('#captcha_img').attr("src", "%HTTP_BASE%captcha.php?"+(new Date()).getTime());
				$('#captcha_code').val('');	
				$('#dialog_captcha').show();
				$('#dialog_captcha input:first').focus();
			} else if (contactName == null) {
				$('#dialog_contact').show();
				$('#dialog_contact input:first').focus();
			} else {
				$('#dialog_message').show();
				$('#dialog_message input:first').focus();
			}
		});

	});
	$("#attachment_iframe").on("load", function() {
		$("#dialog_attachment_preview").load("%HTTP_BASE%attachment_preview.php?id="+$('#attachment_id').val()+"&lang=%lang%&_="+(new Date()).getTime(), function() {
			$('.lightbox').lightBox({
			  fixedNavigation: true
			});
                });
	});
	$('input[text]').keyup(function(e) {
		if(e.keyCode == 13) {
			$('input[type=button]:visible').click();
		}
	});
});

function checkCaptchaCode(code, nextPane) {
	var c="%HTTP_BASE%check.php";
	$.ajax({
		url: c,
		cache: false,
		data: { "code": code}
	}).done(function(data) {
		if (data == "valid") {
			captchaCode=code;
			window.setTimeout('captchaCode = null', 10000);
			$("#dialog_form").children().hide();
			$("#"+nextPane).show();
			$('#'+nextPane+' input:first').focus();
		} else {
			alert("Antwort stimmt nicht mit Bild überein, bitte erneut versuchen.");
		}
		return false;
	}).fail(function() {
		alert("Überprüfung fehlgeschlagen, bitte versuchen Sie es später erneut.");
		return false;
	});
}

function checkContacts(nextPane) {
	if ($.trim($('#contact_name').val()).length > 2) {
		contactName=$('#contact_name').val();
		$('#contact_name').css({"border-color": ""});
	} else {
		contactName=null;
		alert('Bitte geben Sie Ihren Namen ein!'); 
		$('#contact_name').css({"border-color": "red"});
		$('#contact_name').focus(); 
	}

	if ($.trim($('#contact_displayed').val()).length > 2) {
		contactDisplayed=$('#contact_displayed').val();
		$('#contact_displayed').css({"border-color": ""});
	} else {
		contactDisplayed=null;
		alert('Bitte geben Sie eine Kontaktmöglichkeit an!'); 
		$('#contact_displayed').css({"border-color": "red"});
		$('#contact_displayed').focus(); 
	}

	var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	if ($.trim($('#contact_email').val()).length > 2 && re.test($.trim($('#contact_email').val()))) {
		contactEmail=$.trim($('#contact_email').val());
		$('#contact_email').css({"border-color": ""});
	} else {
		contactEmail=null;
		alert('Bitte geben Sie Ihre Email für Moderations-Nachfragen an!'); 
		$('#contact_email').css({"border-color": "red"});
		$('#contact_email').focus(); 
	}

	if (contactName != null && contactDisplayed != null && contactEmail != null) {
		$("#dialog_form").children().hide();
		$("#"+nextPane).show();
		$('#'+nextPane+' input:first').focus();
	}
}

function showDialog(part) {
	$("#dialog_form").children().hide();
	$("#dialog_"+part).show();
	$('#dialog_'+part+' input:first').focus();
}

