<?php
require_once (dirname(__FILE__) . '/config.php');
header('Content-Type: text/html;charset=UTF-8');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="keywords" content="Pinnwand, Netiquette, Rules, Behaviour" />
<meta name="description" content="Netiquette for Pinnwand" />
<meta name="robots" content="index,follow" />
<meta name="revisit-after" content="10 days" />
<meta http-equiv="pragma" content="private" />
<meta http-equiv="pragma" content="no-cache" />
<meta name="content-language" content="en" />
<link rel="shortcut icon" href="<?php echo(HTTP_BASE); ?>favicon.ico" />
<title>Netiquette zur Pinnwand</title>
<link href="<?php echo(HTTP_BASE); ?>css.php?v=1.0" rel="stylesheet" type="text/css" />
</head>
<body><h1>Netiquette for Pinnwand</h1>
<p>
<a href="http://www.emphasize-it.de" title="Developed by Emphasize IT, Freelancing Software Developer Martin Hartnagel" target="_blank">Emphasize IT</a> offers this Pinnwand as a demo on his showroom website. Entries and content should therefore follow a potential interest of all visitors to the website.
</p>
<p>
A new entry can be created by a writer only when a quizz question was answered correctly. This is to limit abuse by malicious software.
</p>
<p>
In the interest of all visitors, Martin Hartnagel as a moderator of this demo board examines posts after publication and may edit or reject these.
The process of moderating may take a few hours or days. Upon activation or rejection of an entry, the authors will be notified by e-mail.
</p>
<p>
Entries have a limited validity. The author is notified by e-mail a day before the expiry of validity and may extend the validity. Once the validity expires, the entry can not be extended.
</p>
<h2>Rules</h2>
<ol>
<li>Entries must be written in English language. Please note the spelling and punctuation. Posts with too many language errors, incorrect sentence structure, continuous small or capital letters, italics, excessive punctuation, missing intervals, unusual abbreviations, smilies or other chat symbols will unfortunately not be publish.</li>
<li>We place special emphasis on a factual style, a friendly tone, tolerance and respect for other opinions.</li>
<li>Entries are deleted if they discriminate any gender, age, language, origin, religious affiliation or beliefs of others.</li>
<li>
Demagogic, sexist or racist remarks lead to immediate cancellation of the entry.</li>
</ol>
<p>
Emphasize IT is not liable for the content of user contributions and refers to the responsibility of the readers for their contributions.
Remarks about entries on the Pinnwand which violate these Terms of Use are welcome under <?php echo(escapeMailto(EMAIL_PROVIDER)); ?>.</p></div>
</div>
</body>
</html>
