<?php
require_once (dirname(__FILE__) . '/config.php');

if (! isset($_GET["id"])) {
 _die(500, "id missing");
}

$id = $_GET["id"];

if (! is_numeric($_GET["id"])) {
 _die(500, "id format corrupt");
}

if (! file_exists(dirname(__FILE__) . '/data/' . $id . '.ok')) {
 _die(404, "$id entry not found");
}

$o = json_decode(file_get_contents(dirname(__FILE__) . '/data/' . $id . '.ok'));
header('Content-type: text/html; charset=utf-8');
echo ('<div class="message">' . "\n");
echo ('<h2>' . $o->title . '</h2>' . "\n");
echo ('<div class="content">' . str_replace(array(
  "<a href=" 
), array(
  '<a target="_blank" href=' 
), $o->message) . '</div>' . "\n");

$email_pattern = '([\w-.]+)[@]([a-zA-Z0-9-.äöüÄÖÜ]{3,}\.[a-z.]{2,4})';
$email_js = '<a href="mailto:$1@$2"><img src="' . HTTP_BASE . 'mailsup.gif" width="16" height="10" hspace="5" border="0">$1@$2</a>';
$contact = preg_replace('#' . $email_pattern . '#is', $email_js, $o->contact);

if (file_exists(dirname(__FILE__) . '/data/' . $id . '.jpg')) {
 echo ('<div class="attachment"><a href="' . HTTP_BASE . 'data/' . $id . '.jpg" class="lightbox"><img alt="attachment" src="' . HTTP_BASE . 'attachment.png" width="58" height="62" /></a></div>');
}
echo ('<div class="contact"><img alt="contact_img" src="' . HTTP_BASE . 'user.png" width="44" height="46" align="middle" style="margin-right: 6px;" />' . $o->name . " " . $contact . '</div>' . "\n");
echo ('</div>' . "\n");
?>
